#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetLCDString.h>
#include <GetInVotage.h>
#include <SetLCD3Char.h>
#include <SetLCD1Char.h>
#include <SetTenthS.h>

int main(void)
{
    X3RCU_Init();
    unsigned int var0 = 0;
    unsigned int H = 0;
    unsigned int L = 0;
    unsigned char a = '0';
    unsigned char ah = 0;
    unsigned char al = 0;
    unsigned int y = 32;
    unsigned char ch = '0';
    unsigned int x = 0;
    SetLCDBack(1);
    SetLCDString(0, 0, "Voltage:", YELLOW, BLACK);
    while (1)
    {
        var0 = GetInVotage();
        H=var0/10;L=var0-H*10;
        ah=a+H;al=a+L;
        SetLCD3Char(0, 16, H, YELLOW, BLACK);
        SetLCD1Char(32, 16, '.', YELLOW, BLACK);
        SetLCD1Char(40, 16, al, YELLOW, BLACK);
        SetLCD1Char(48, 16, 'V', YELLOW, BLACK);
        SetTenthS(1);
    }
    while(1);
}

